Docs Menu
Docs Home
/ /
Atlas CLI
/

Check Compatibility

On this page

  • MongoDB Service Versions

The Atlas CLI supports the following operating systems:

Operating System
Operating System Version
Architecture
Amazon Linux
2, 2023
x86-64, ARM
Debian
10, 11, 12
x86-64, ARM
MacOS
12.0 and later
x86-64, ARM
Microsoft Windows
10
x86-64
Microsoft Windows Server
2012, 2012R2, 2016, 2019
x86-64
Red Hat Enterprise Linux / CentOS
7, 8, 9
x86-64, ARM
SUSE Linux Enterprise Server
12, 15
x86-64, ARM
Ubuntu
20.04, 22.04
x86-64, ARM

The Atlas CLI supports the following versions of Atlas and MongoDB server.

MongoDB Service
MongoDB Service Version

Atlas

Current
MongoDB server
Any released and stable version that has not reached its End of Life date. The Atlas CLI doesn't support rapid release MongoDB versions.
← Install or Update the Atlas CLI